%define anolis_release 2
%global debug_package %{nil}

# Versions numbers
%global major        1
%global minor        3
%global patch        0
%global fullversion  %{major}.%{minor}.%{patch}
%global githubver    %{major}.%{minor}
%global githubfull   %{name}-%{githubver}

Name:		intel-ipsec-mb
Version:	%{fullversion}
Release:	%{anolis_release}%{?dist}
Summary:	IPsec cryptography library optimized for Intel Architecture

License:	BSD
URL:		https://github.com/intel/intel-ipsec-mb
Source0:	https://github.com/intel/intel-ipsec-mb/archive/refs/tags/v%{githubver}.tar.gz

BuildRequires:	make

BuildRequires:  gcc >= 4.8.3
BuildRequires:  nasm >= 2.14
ExclusiveArch:  x86_64


%description
The library provides software crypto acceleration primarily targeting packet processing 
applications. It can be used for application such as: IPsec, TLS, Wireless (RAN), Cable 
or MPEG DRM.

%package        devel
Summary:        IPsec cryptography library optimized for Intel Architecture
License:        BSD
Requires:       %{name} = %{version}-%{release}
Group:          Development/Tools
ExclusiveArch:  x86_64
	
%description    devel
IPsec cryptography library optimized for Intel Architecture.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{githubfull} -p1

%build
cd lib
make EXTRA_CFLAGS='%{optflags} -mavx2' %{?_smp_mflags}

%install
install -d %{buildroot}/%{_includedir}
install -m 0644 %{_builddir}/%{githubfull}/lib/intel-ipsec-mb.h %{buildroot}/%{_includedir}
install -d %{buildroot}/%{_libdir}
install -s -m 0755 %{_builddir}/%{githubfull}/lib/libIPSec_MB.so.%{fullversion} %{buildroot}/%{_libdir}
install -d %{buildroot}/%{_mandir}/man7
install -m 0444 lib/libipsec-mb.7 %{buildroot}/%{_mandir}/man7
install -m 0444 lib/libipsec-mb-dev.7 %{buildroot}/%{_mandir}/man7
cd %{buildroot}/%{_libdir}
ln -s libIPSec_MB.so.%{fullversion} libIPSec_MB.so.%{major}
ln -s libIPSec_MB.so.%{fullversion} libIPSec_MB.so

%files
%license LICENSE
%{_libdir}/libIPSec_MB.so.%{fullversion}
%{_libdir}/libIPSec_MB.so.%{major}
%{_mandir}/man7/libipsec-mb.7.*

%files devel	
%{_includedir}/intel-ipsec-mb.h
%{_mandir}/man7/libipsec-mb-dev.7.*
%{_libdir}/libIPSec_MB.so

%files doc
%doc README ReleaseNotes.txt

%changelog
* Mon May 26 2025 zhoujiajia111 <zjl02254423@alibaba-inc.com> - 1.3.0-2
- Change files to pass ci abs_build test

* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 1.3.0-1
- Init package from upstream

